execute if score #TestStart function_run_count matches 0.. run scoreboard players add osp:loops/all function_run_count 1

execute if score @s osp.ShadowBugCount matches -2147483648..2147483647 unless score @s osp.ShadowBugCount matches 0 run function osp:powers/shadowy_physique/shadow_death

## Celestial Communion
execute if entity @s[type=item_display,tag=osp.celestial_communion.star] run function osp:powers/celestial_communion/star/star_loop
execute if entity @s[type=text_display,tag=osp.celestial_communion.summon] run function osp:powers/celestial_communion/effects/summon_loop

execute if entity @s[tag=osp.fake_block] run scoreboard players add @s osp.celestial_communion.timer 1
execute if score @s[tag=osp.fake_block] osp.celestial_communion.timer matches 100.. run kill @s

## Start
tag @s add self
execute if score 60tick osp.settings matches 0 run power grant @s[type=!player] osp:allmobs osp:osp
execute if entity @s[type=armor_stand] run function osp:loops/armor_stand

## Illusionary Summons
execute if entity @s[tag=osp.IllusionMob] run function osp:powers/illusionary_summons/mobloop

## Energy-infusion
execute if entity @s[type=#addition:arrows] run function osp:loops/addition_arrows

## Players
execute if entity @s[type=#osp:has_eyes] run function osp:powers/cosmic_horror/tick
execute if entity @s[type=player] run function osp:loops/player
execute if entity @s[type=item] run function osp:loops/item

## Sculk King
team join osp.sculk @s[type=warden]
execute if entity @s[type=marker,tag=osp.sculkmarker] unless score @s osp.sculkID = G osp.sculkID run kill @s

execute if entity @s[type=experience_orb] run function osp:loops/experience_orb
execute if entity @s[type=#osp:infectable] run function osp:loops/osp_infectable

# Marker
execute if entity @s[type=marker] run function osp:loops/marker
execute if entity @s[type=item_frame] run function osp:loops/item_frame
execute if entity @s[type=glow_item_frame] run function osp:loops/item_frame

## Curse Crafter
execute if entity @s[type=potion] run function osp:loops/potion

execute if entity @s[type=zoglin,tag=osp.ShadowBug] run function osp:powers/shadowy_physique/shadow_bug_loop

## OfflineTimer
execute as @s[type=marker,tag=osp.OfflineTracker] run function osp:systems/reset_timer/offline_tracker_loop

## End
tag @s remove self
