
## Rotate
tp @s ~ ~ ~ ~0.25 ~

## Particles
execute positioned ~ ~-0.5 ~ run particle enchant ~ ~ ~ 0 0 0 1 1 force @a
execute positioned ~ ~-0.75 ~ run particle end_rod ~ ~ ~ 0 0 0 0 1 force @a

## Sounds
execute if score 60tick osp.settings matches 0 positioned ~ ~-0.5 ~ run playsound minecraft:block.beacon.ambient player @a ~ ~ ~ 2 0

## Item Capture
execute unless entity @s[tag=osp.celestial_communion.summon_capture,nbt={Item:{id:"minecraft:writable_book"}}] positioned ~ ~-0.75 ~ as @e[type=item,distance=..0.5,limit=1,sort=nearest] run function osp:powers/celestial_communion/effects/summon_capture

execute positioned ~ ~-0.75 ~ as @e[type=item,tag=osp.celestial_communion.summon_captured,distance=..1] run function osp:powers/celestial_communion/effects/summon_capture_loop

## Timer
execute unless score @s osp.celestial_communion.timer matches -5 run scoreboard players add @s osp.celestial_communion.timer 1

### Void
execute if entity @s[tag=osp.celestial_communion.void] positioned ~ ~-0.5 ~ run function osp:powers/celestial_communion/effects/void/par
execute if entity @s[tag=osp.celestial_communion.void] if score @s osp.celestial_communion.timer matches 2000 run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=false}] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> The ritual will be out of power soon. I would suggest you get a hurry on it…"}]
execute if entity @s[tag=osp.celestial_communion.void] if score @s osp.celestial_communion.timer matches 2100 run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=false}] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> Unless you have decided against getting the ritual…"}]
execute if entity @s[tag=osp.celestial_communion.void] if score @s osp.celestial_communion.timer matches 2375 run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=false}] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I will see you later i supose…"}]
execute if entity @s[tag=osp.celestial_communion.void] if score @s osp.celestial_communion.timer matches -5 run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=false}] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> Use the ritual wisely…"}]

execute if entity @s[tag=osp.celestial_communion.void] if score @s osp.celestial_communion.timer matches 2000 run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=true}] ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> The ritual will be out of power soon. I would suggest you get a hurry on it…"}]
execute if entity @s[tag=osp.celestial_communion.void] if score @s osp.celestial_communion.timer matches 2100 run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=true}] ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> Unless you have decided against getting the ritual…"}]
execute if entity @s[tag=osp.celestial_communion.void] if score @s osp.celestial_communion.timer matches 2375 run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=true}] ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I will see you later i supose…"}]
execute if entity @s[tag=osp.celestial_communion.void] if score @s osp.celestial_communion.timer matches -5 run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=true}] ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> Use the ritual wisely…"}]

#### Void binding
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.void_binding] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=false}] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer simple ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":", good for slowing down your enemies. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. Do it fast, for the communion ritual shall not last long…"}]
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.void_binding] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=true}] ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer simple ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":", good for slowing down your enemies. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. Do it fast, for the communion ritual shall not last long…"}]

#### Void Chains
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.void_chains] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=false}] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer a ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":", its a mid range ritual. It will trap your enimies, and even help against there abilities. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. Do it fast, the communion ritual does not last long…"}]
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.void_chains] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=true}] ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer a ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":", its a mid range ritual. It will trap your enimies, and even help against there abilities. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. Do it fast, the communion ritual does not last long…"}]

#### Void Trap
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.void_trap] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=false}] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer a ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":", its a pretty powerful ritual. It will trap your enimies, blind them, and even help against there abilities. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. If you want the ritual, make sure to do it quickly…"}]
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.void_trap] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=true}] ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer a ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":", its a pretty powerful ritual. It will trap your enimies, blind them, and even help against there abilities. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. If you want the ritual, make sure to do it quickly…"}]

#### Short Portal
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.short_portal] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=false}] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer a ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":", its a good movement ritual. Allows for the quick escape, and transport of a large group. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. If you want the ritual, make sure to do it quickly…"}]
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.short_portal] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=true}] ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer a ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":", its a good movement ritual. Allows for the quick escape, and transport of a large group. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. If you want the ritual, make sure to do it quickly…"}]

#### Void Wisp
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.void_wisp] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=false}] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer a intresting ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":", its a good movement, and defense ritual. Allows for movement, and defense, as well as flight thou limited. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. If you want the ritual, make sure to do it quickly…"}]
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.void_wisp] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=true}] ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer a intresting ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":", its a good movement, and defense ritual. Allows for movement, and defense, as well as flight thou limited. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. If you want the ritual, make sure to do it quickly…"}]

#### Void Totalis
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.void_totalis] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=false}] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer a powerful, and odd ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":", its a good escape ritual. Will summon a vortex at your position. Sucking you, and everyone nearby into it. Teleporting them very, and i mean very far away. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. If you want the ritual, make sure to do it quickly…"}]
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.void_totalis] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=true}] ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer a powerful, and odd ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":", its a good escape ritual. Will summon a vortex at your position. Sucking you, and everyone nearby into it. Teleporting them very, and i mean very far away. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. If you want the ritual, make sure to do it quickly…"}]

#### Disaperance
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.disaperance] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=false}] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer a powerful, and odd ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":", allowing you to others them disapear from action for a time. Thou it could have other uses. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. If you want the ritual, make sure to do it quickly…"}]
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.disaperance] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=true}] ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer a powerful, and odd ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":",  allowing you to make others disapear from action for a time. Thou it could have other uses. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. If you want the ritual, make sure to do it quickly…"}]

#### Void Prison
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.void_prison] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=false}] ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer a powerful ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":", however, unlike your normal ritual, it requires a structure to work. It works as the perfect prision, even you can be trapped within it, and never escape. Without help that is, so be careful. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. If you want the ritual, make sure to do it quickly…"}]
execute if score @s osp.celestial_communion.timer matches 100 if entity @s[tag=osp.celestial_communion.void_prison] run tellraw @p[tag=osp.powers.celestial_communion,advancements={osp:celestial_communion/void/_3=true}] ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I offer a powerful ritual "},{"selector":"@p[tag=osp.powers.celestial_communion]","font":"alt"},{"text":",  however, unlike your normal ritual, it requires a structure to work. It works as the perfect prision, even you can be trapped within it, and never escape. Without help that is, so be careful. Drop a "},{"text":"Book & Quill","italic":true,"hoverEvent":{"action":"show_item","contents":{"id":"minecraft:writable_book"}}},{"text":" for me to write within. If you want the ritual, make sure to do it quickly…"}]

## End
execute if score @s osp.celestial_communion.timer matches -5 run function osp:powers/celestial_communion/effects/summon_done
execute if score @s osp.celestial_communion.timer matches 2400.. run function osp:powers/celestial_communion/effects/summon_end
