
## Detect change in dim
tag @s remove osp.celestial_communion.nether
tag @s remove osp.celestial_communion.the_end
execute if dimension minecraft:the_nether run tag @s add osp.celestial_communion.nether
execute if dimension the_end run tag @s add osp.celestial_communion.the_end

execute if entity @s[tag=osp.celestial_communion.the_end2,tag=!osp.celestial_communion.the_end] run kill @e[type=item_display,tag=osp.celestial_communion.star]
execute if entity @s[tag=osp.celestial_communion.nether] run kill @e[type=item_display,tag=osp.celestial_communion.star]
execute if entity @s[tag=!osp.celestial_communion.the_end2,tag=osp.celestial_communion.the_end] run function osp:powers/celestial_communion/spawn_star

tag @s remove osp.celestial_communion.nether2
tag @s remove osp.celestial_communion.the_end2
tag @s[tag=osp.celestial_communion.nether] add osp.celestial_communion.nether2
tag @s[tag=osp.celestial_communion.the_end] add osp.celestial_communion.the_end2

# Messages
## Void 1
execute if score 60tick osp.settings matches 0 if entity @s[tag=osp.void.1.4] run tellraw @s [{"selector":"@s"},{"text":" has completed the challange ","color":"white"},{"text":"[Meet the Sovereign]","color":"dark_purple","hoverEvent":{"action":"show_text","value":{"text":"Meet the Sovereign\nYou sense a presence in the void. Join it.","color":"dark_purple"}}}]
execute if score 60tick osp.settings matches 0 if entity @s[tag=osp.void.1.4] run advancement grant @s only osp:celestial_communion/void/_1
execute if score 60tick osp.settings matches 0 if entity @s[tag=osp.void.1.4] run tag @s remove osp.void.1.4

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.1.3] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I will give you a chance, "},{"selector":"@s","font":"alt"},{"text":" commune with me in the end…"}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.1.3] run tag @s add osp.void.1.4
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.1.3] run tag @s remove osp.void.1.3

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.1.2] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I sense you, you remind me of "},{"text":"Sylvanos","font":"alt"},{"text":"…"}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.1.2] run tag @s add osp.void.1.3
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.1.2] run tag @s remove osp.void.1.2

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.1] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> Dedication or accidental…"}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.1] run tag @s add osp.void.1.2
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.1] run tag @s remove osp.void.1

## Void 2
execute if score 60tick osp.settings matches 0 if entity @s[tag=!osp.celestial_communion.void_sense,advancements={osp:celestial_communion/void/_2=false,osp:celestial_communion/void/_3=false,osp:celestial_communion/void/1/void_binding=true,osp:celestial_communion/void/1/void_chains=true,osp:celestial_communion/void/1/void_trap=true}] run tellraw @s ["",{"text":"You feel a presence calling from the void... join it...","color":"gold"}]
execute if score 60tick osp.settings matches 0 if entity @s[tag=!osp.celestial_communion.void_sense,advancements={osp:celestial_communion/void/_2=false,osp:celestial_communion/void/_3=false,osp:celestial_communion/void/1/void_binding=true,osp:celestial_communion/void/1/void_chains=true,osp:celestial_communion/void/1/void_trap=true}] run tag @s add osp.celestial_communion.void_sense
execute if score 60tick osp.settings matches 0 if entity @s[tag=osp.celestial_communion.void_sense,advancements={osp:celestial_communion/void/_2=true,osp:celestial_communion/void/_3=false}] unless entity @s[advancements={osp:celestial_communion/void/_3=false,osp:celestial_communion/void/2/short_portal=true,osp:celestial_communion/void/2/void_wisp=true,osp:celestial_communion/void/2/void_totalis=true}] run tag @s remove osp.celestial_communion.void_sense

execute if score 12000tick osp.settings matches 0 if entity @s[advancements={osp:celestial_communion/void/_2=false,osp:celestial_communion/void/1/void_binding=true,osp:celestial_communion/void/1/void_chains=true,osp:celestial_communion/void/1/void_trap=true}] run tellraw @s ["",{"text":"You feel a presence calling from the void... join it...","color":"gold"}]

execute if score 60tick osp.settings matches 0 if entity @s[tag=osp.void.2.9] run tellraw @s [{"selector":"@s"},{"text":" has completed the challange ","color":"white"},{"text":"[Loyalty to the Sovereign]","color":"dark_purple","hoverEvent":{"action":"show_text","value":{"text":"Loyalty to the Sovereign\nThe void Sovereign has given you a chance. Don't waste it, and collect what he is willing to give.","color":"dark_purple"}}}]
execute if score 60tick osp.settings matches 0 if entity @s[tag=osp.void.2.9] run advancement grant @s only osp:celestial_communion/void/_2
execute if score 60tick osp.settings matches 0 if entity @s[tag=osp.void.2.9] run tag @s remove osp.void.2.9

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.8] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I shall finish the story later… Farewell for now…"}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.8] run tag @s add osp.void.2.9
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.8] run tag @s remove osp.void.2.8

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.7] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> Until… well, my time here is short…"}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.7] run tag @s add osp.void.2.8
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.7] run tag @s remove osp.void.2.7

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.6] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> The world prospered for a time, more gods came to be… I myself was awakened and made the void's sovreign…"}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.6] run tag @s add osp.void.2.7
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.6] run tag @s remove osp.void.2.6

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.5] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> Then "},{"text":"Elyrian","font":"alt"},{"text":" was born. Called the god of creation by the mortals…"}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.5] run tag @s add osp.void.2.6
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.5] run tag @s remove osp.void.2.5

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.4] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> Long ago void was all there was…"}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.4] run tag @s add osp.void.2.5
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.4] run tag @s remove osp.void.2.4

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.3] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I will tell you a little about the origins of this world…"}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.3] run tag @s add osp.void.2.4
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.3] run tag @s remove osp.void.2.3

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.2] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> I trust you, and will give you 3 more rituals too collect… Collect them all to prove to me you can handle the most powerful ones…"}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.2] run tag @s add osp.void.2.3
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2.2] run tag @s remove osp.void.2.2

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> You have worked hard, and collected the 3 rituals i sent you…"}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2] run tag @s add osp.void.2.2
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.2] run tag @s remove osp.void.2

## Void 3

execute if score 60tick osp.settings matches 0 if entity @s[tag=!osp.celestial_communion.void_sense,advancements={osp:celestial_communion/void/_3=false,osp:celestial_communion/void/2/short_portal=true,osp:celestial_communion/void/2/void_wisp=true,osp:celestial_communion/void/2/void_totalis=true}] run tellraw @s ["",{"text":"You feel a presence calling from the void... join it...","color":"gold"}]
execute if score 60tick osp.settings matches 0 if entity @s[tag=!osp.celestial_communion.void_sense,advancements={osp:celestial_communion/void/_3=false,osp:celestial_communion/void/2/short_portal=true,osp:celestial_communion/void/2/void_wisp=true,osp:celestial_communion/void/2/void_totalis=true}] run tag @s add osp.celestial_communion.void_sense
execute if score 60tick osp.settings matches 0 if entity @s[tag=osp.celestial_communion.void_sense,advancements={osp:celestial_communion/void/_3=true,osp:celestial_communion/void/_2=true}] run tag @s remove osp.celestial_communion.void_sense

execute if score 12000tick osp.settings matches 0 if entity @s[advancements={osp:celestial_communion/void/_3=false,osp:celestial_communion/void/2/short_portal=true,osp:celestial_communion/void/2/void_wisp=true,osp:celestial_communion/void/2/void_totalis=true}] run tellraw @s ["",{"text":"You feel a presence calling from the void... join it...","color":"gold"}]

execute if score 60tick osp.settings matches 0 if entity @s[tag=osp.void.3.end] run tellraw @s [{"selector":"@s"},{"text":" has completed the challange ","color":"white"},{"text":"[The Sovereign's Name]","color":"dark_purple","hoverEvent":{"action":"show_text","value":{"text":"The Sovereign's Name\nThe void sovereign has seen your Loyalty. He has given more, collect it all to learn his nature.","color":"dark_purple"}}}]
execute if score 60tick osp.settings matches 0 if entity @s[tag=osp.void.3.end] run advancement grant @s only osp:celestial_communion/void/_3
execute if score 60tick osp.settings matches 0 if entity @s[tag=osp.void.3.end] run tag @s remove osp.void.3.end

execute if score 200tick osp.settings matches 0 if entity @s[tag=osp.void.3.6] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> A war was started, and it raged on, and on. Lets continue this after you gather the rest of the rituals. See you then."}]
execute if score 200tick osp.settings matches 0 if entity @s[tag=osp.void.3.6] run tag @s add osp.void.3.end
execute if score 200tick osp.settings matches 0 if entity @s[tag=osp.void.3.6] run tag @s remove osp.void.3.6

execute if score 200tick osp.settings matches 0 if entity @s[tag=osp.void.3.5] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> This was a rather tense time, and due to the god of heat's arrogence, well, the god of cold was injured... I did not care much for such disputes, but... they hurt him, so i had to make a exsample..."}]
execute if score 200tick osp.settings matches 0 if entity @s[tag=osp.void.3.5] run tag @s add osp.void.3.6
execute if score 200tick osp.settings matches 0 if entity @s[tag=osp.void.3.5] run tag @s remove osp.void.3.5

execute if score 200tick osp.settings matches 0 if entity @s[tag=osp.void.3.4] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> As such, he created his own gods. The god of the sun. Then the god of cold, a good freind of mine, became the moon to due to a disagreement."}]
execute if score 200tick osp.settings matches 0 if entity @s[tag=osp.void.3.4] run tag @s add osp.void.3.5
execute if score 200tick osp.settings matches 0 if entity @s[tag=osp.void.3.4] run tag @s remove osp.void.3.4

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.3.3] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> Where was I?… Ah yes, the world was prosporius, new gods growed like flowers. However the god of creation was jelous of the void, and me."}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.3.3] run tag @s add osp.void.3.4
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.3.3] run tag @s remove osp.void.3.3

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.3.2] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> Now, lets continue on the story…"}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.3.2] run tag @s add osp.void.3.3
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.3.2] run tag @s remove osp.void.3.2

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.3.1] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> Sense you have gone this far. I figure i can tell you my ancient name, Astrionyx…"}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.3.1] run tag @s add osp.void.3.2
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.3.1] run tag @s remove osp.void.3.1

execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.3] run tellraw @s ["",{"text":"<"},{"text":"Astrionyx","font":"alt","color":"dark_purple","hoverEvent":{"action":"show_text","contents":{"text":"The Sovreign of the Void","color":"dark_purple"}}},{"text":"> Nice work i must say…"}]
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.3] run tag @s add osp.void.3.1
execute if score 180tick osp.settings matches 0 if entity @s[tag=osp.void.3] run tag @s remove osp.void.3

execute if entity @s[tag=osp.celestial_communion.void_sense] unless dimension the_end run kill @e[type=item_display,tag=osp.celestial_communion.void_sense]
execute if entity @s[tag=!osp.celestial_communion.void_sense] run kill @e[type=item_display,tag=osp.celestial_communion.void_sense]
execute if entity @s[tag=osp.celestial_communion.void_sense] if dimension the_end run function osp:powers/celestial_communion/spells/void/sense
